/*
 * Class TRAVERSABLE [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1940 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1940 [] = {0xFF01,1551,1939,878,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1940 [] = {0xFF01,1939,878,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1940 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1940 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1940 [] = {0xFF01,1939,878,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1940 [] = {0xFF01,1939,878,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1940 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1940 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1940 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1940 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1940 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1940 [] = {1939,878,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1940 [] = {0xFF01,1939,878,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1940 [] = {0xFF01,1938,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1940 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1940 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1940[] = {
	{EIF_GENERIC(NULL), 8723, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1940), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1940), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1940), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1940), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1940), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1940), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1940), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1940), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1940), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1940), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1940), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1940), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1940), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1940), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8649, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8650, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8651, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8652, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1940), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1940), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1940), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8724, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8725, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8726, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8727, 0xFFFFFFFF},
};
void Init1940(void)
{
	IDSC(desc_1940, 0, 1939);
	IDSC(desc_1940 + 1, 1, 1939);
	IDSC(desc_1940 + 32, 1134, 1939);
	IDSC(desc_1940 + 41, 1534, 1939);
}


#ifdef __cplusplus
}
#endif
